GH-SECRET-DELETE(1)

NAME
gh-secret-delete - Delete secrets

SYNOPSIS
gh secret delete <secret-name> [flags]

DESCRIPTION
Delete a secret on one of the following levels: - repository (default): available to GitHub Actions runs, Agents sessions, or Dependabot in a repository - environment: available to GitHub Actions runs for a deployment environment in a repository - organization: available to GitHub Actions runs, Agents sessions, Dependabot, or Codespaces within an organization - user: available to Codespaces for your user

OPTIONS

-a, --app <string>
    Delete a secret for a specific application: {actions|agents|codespaces|dependabot}

-e, --env <string>
    Delete a secret for an environment

-o, --org <string>
    Delete a secret for an organization

-u, --user
    Delete a secret for your user

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

ALIASES
gh secret remove

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-secret(1)